# Generated by Django 4.1.7 on 2023-03-15 00:22

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="VisitorVO",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "import_href",
                    models.CharField(max_length=100, null=True, unique=True),
                ),
                ("first_name", models.CharField(max_length=150)),
                ("last_name", models.CharField(max_length=150)),
                ("birthday", models.DateField()),
                ("email", models.EmailField(max_length=254)),
                ("boot_size", models.CharField(max_length=5, null=True)),
                ("equipment_rental", models.BooleanField(null=True)),
                ("board_length", models.FloatField(null=True)),
            ],
        ),
        migrations.CreateModel(
            name="Snowboard",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=150)),
                ("date", models.DateTimeField()),
                ("email", models.EmailField(max_length=254, null=True)),
                ("boot_size", models.CharField(max_length=10)),
                ("board_length", models.CharField(max_length=5)),
                ("equipment_rental", models.BooleanField()),
                (
                    "visitor",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="snowboards",
                        to="snowboard_rest.visitorvo",
                    ),
                ),
            ],
            options={
                "ordering": (
                    "name",
                    "date",
                    "email",
                    "boot_size",
                    "board_length",
                    "equipment_rental",
                    "visitor",
                ),
            },
        ),
    ]
